
public class Stack<E> {
	private E[] elements;
	private int head;
	@SuppressWarnings("unchecked")
	
	public Stack(int size){
		elements = (E[])new Object[size];
		head = 0;
	}
	
	public void push(E element) throws StackFullException{
		if(isFull())
			throw new StackFullException(elements.length, element.toString());
		
		elements[head++] = element;
	}
	
	public E pop() throws StackEmptyException{
		if(isEmpty())
			throw new StackEmptyException(elements.length);
		
		return elements[--head];
	}
	
	public boolean isEmpty(){
		return head == 0;
	}
	
	public boolean isFull(){
		return head == elements.length;
	}
}
