/**
 * @author Andy Chmilenko
 *
 */
public class StackFullException extends RuntimeException {

	/**
	 * 
	 * 	 */
	public StackFullException() {
		super("Tried to push an element into a full stack.");
	}
	
	/**
	 * @param capacity Total capacity of the stack
	 */
	public StackFullException(int capacity) {
		super("Tried to push an element into a full stack. [Stack capacity: " + capacity + "]");
	}
	
	/**
	 * @param capacity Total capacity of the stack
	 * @param arg1 Element that was trying to be pushed
	 */
	public StackFullException(int capacity, String arg1) {
		super("Tried to push an element ( " + arg1 + " ) into a full stack. [Stack capacity: " + capacity + "]");
	}


}
